Imports System
Imports System.ComponentModel
Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.Persistent.Base.General
Imports System.Data.SqlClient
Imports System.Configuration
Imports System.Linq
Imports System.Linq.Expressions
Public Enum eVATReportDetailRowType
    efromRegistry = 0
    efromInvoice = 1
    efromAccount = 2
    efromCassa = 3
    efromAccountDirect = 4
    efromMixed = 5
End Enum
<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
<ImageName("BO_Report")> _
<DeferredDeletion(False)> _
Public Class VATReportDetail
    Inherits BaseObject
    Private _VATReportDetailRowType As eVATReportDetailRowType
    Private _VATReport As VATReport
    Private _VAT As VAT
    Private _PartnerType As ePartnerType
    Private _DateVAT As Date
    Private _DateExecution As Date
    Private _DocumentNumber As String
    Private _Customers As Customers
    Private _Note As String
    Private _PayMode As ePayMode
    Private _RegistryHeader As RegistryHeader
    Private _AmountVATOut As Double 'Értékesítést terhelő ÁFA
    Private _AmountVATIn As Double 'Beszerzést terhelő ÁFA
    Private _AmountVATOutBase As Double 'Értékesítést terhelő ÁFA alap
    Private _AmountVATInBase As Double 'Beszerzést terhelő ÁFA alap
    Private _AmountVATInBaseNoPay As Double = 0
    Private _AmountVATInNoPay As Double = 0
    Private _AmountVATOutBaseNoPay As Double = 0
    Private _AmountVATOutNoPay As Double = 0
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Property VATReportDetailRowType As eVATReportDetailRowType
        Get
            Return _VATReportDetailRowType
        End Get
        Set(value As eVATReportDetailRowType)
            SetPropertyValue("VATReportDetailRowType", _VATReportDetailRowType, value)
        End Set
    End Property
    <Association("VATReport-VATReportDetail", GetType(VATReport))> _
    Property VATReport As VATReport
        Get
            Return _VATReport
        End Get
        Set(ByVal value As VATReport)
            SetPropertyValue("VATReport", _VATReport, value)
        End Set
    End Property
    Property VAT As VAT
        Get
            Return _VAT
        End Get
        Set(ByVal value As VAT)
            SetPropertyValue("VAT", _VAT, value)
        End Set
    End Property
    Property PartnerType As ePartnerType
        Get
            Return _PartnerType
        End Get
        Set(ByVal value As ePartnerType)
            SetPropertyValue("PartnerType", _PartnerType, value)
        End Set
    End Property
    Property DateVAT As Date
        Get
            Return _DateVAT
        End Get
        Set(ByVal value As Date)
            SetPropertyValue("DateVAT", _DateVAT, value)
        End Set
    End Property
    Property DateExecution As Date
        Get
            Return _DateExecution
        End Get
        Set(ByVal value As Date)
            SetPropertyValue("DateExecution", _DateExecution, value)
        End Set
    End Property
    Property DocumentNumber As String
        Get
            Return _DocumentNumber
        End Get
        Set(ByVal value As String)
            SetPropertyValue("DocumentNumber", _DocumentNumber, value)
        End Set
    End Property
    Property Customers As Customers
        Get
            Return _Customers
        End Get
        Set(ByVal value As Customers)
            SetPropertyValue("Customers", _Customers, value)
        End Set
    End Property
    <Size(900)> _
    Property Note As String
        Get
            Return _Note
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Note", _Note, value)
        End Set
    End Property
    Property PayMode As ePayMode
        Get
            Return _PayMode
        End Get
        Set(ByVal value As ePayMode)
            SetPropertyValue("PayMode", _PayMode, value)
        End Set
    End Property
    Property RegistryHeader As RegistryHeader
        Get
            Return _RegistryHeader
        End Get
        Set(ByVal value As RegistryHeader)
            SetPropertyValue("RegistryHeader", _RegistryHeader, value)
        End Set
    End Property
    Property AmountVATOut As Double
        Get
            Return _AmountVATOut
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AmountVATOut", _AmountVATOut, value)
        End Set
    End Property
    Property AmountVATIn As Double
        Get
            Return _AmountVATIn
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AmountVATIn", _AmountVATIn, value)
        End Set
    End Property
    Property AmountVATOutBase As Double
        Get
            Return _AmountVATOutBase
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AmountVATOutBase", _AmountVATOutBase, value)
        End Set
    End Property
    Property AmountVATInBase As Double
        Get
            Return _AmountVATInBase
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AmountVATInBase", _AmountVATInBase, value)
        End Set
    End Property
    Property AmountVATInBaseNoPay As Double
        Get
            Return _AmountVATInBaseNoPay
        End Get
        Set(value As Double)
            SetPropertyValue("AmountVATInBaseNoPay", _AmountVATInBaseNoPay, value)
        End Set
    End Property
    Property AmountVATInNoPay As Double
        Get
            Return _AmountVATInNoPay
        End Get
        Set(value As Double)
            SetPropertyValue("AmountVATInNoPay", _AmountVATInNoPay, value)
        End Set
    End Property
    Property AmountVATOutBaseNoPay As Double
        Get
            Return _AmountVATOutBaseNoPay
        End Get
        Set(value As Double)
            SetPropertyValue("AmountVATOutBaseNoPay", _AmountVATOutBaseNoPay, value)
        End Set
    End Property
    Property AmountVATOutNoPay As Double
        Get
            Return _AmountVATOutNoPay
        End Get
        Set(value As Double)
            SetPropertyValue("AmountVATOutNoPay", _AmountVATOutNoPay, value)
        End Set
    End Property
End Class

